- Create a long lived access token
Enable Meta template analytics
List WhatsApp Business Accounts details
Create a long lived acces...
Returns a long lived access token based on the facebook token from the embedded signup. Valid for 60 days.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
Facebook token generated from the embedded signup process, or another long lived access token.
Long-Lived User access token. Mandatory if facebookCode is not provided.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken
Example body request to create a long lived access token.
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/longLivedAccessToken' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"facebookCode": "FACEBOOK_CODE"
}'Response
Response when successfully creating a long lived access token.
{ "longLivedAccessToken": "FACEBOOK_TOKEN" }
We'd love to hear from you!
Rate this content: